library(shiny)

tab <- read.table("vyjmenovana_slova.txt", header = TRUE,
                  sep = "\t", fileEncoding = "UTF-8-BOM", stringsAsFactors = FALSE)

ui <- fluidPage(

    titlePanel("Vyjmenovaná slova"),

    sidebarLayout(
        sidebarPanel(
           textOutput("zadani"),
           textInput("odpoved", label = "Zadejte odpověď"),
           actionButton("novaOtazka", label = "Nová otázka")
        ),

        mainPanel(
           textOutput("vyhodnoceni")
        )
    )
)

server <- function(input, output) {
    spravnaOdpoved <- ""
    
    output$zadani <- renderText({
        input$novaOtazka  # poslouchá stisk tlačítko
        radek <- sample(1: nrow(tab), size = 1)
        otazka <- tab$otázka[radek]
        spravnaOdpoved <<- tab$odpověď[radek]
        return(otazka)
    })
    
    output$vyhodnoceni <- renderText({
        if (input$odpoved == spravnaOdpoved) {
            return("Bezva.")
        } else {
            return("Těsně vedle.")
        }
    })
}

# Run the application 
shinyApp(ui = ui, server = server)
